<?php
   class clsPer extends BDConexion
   {
     function clsPer()
     {
       $this->conectar();
     }
	 //*************************************************************************************************************************************
	 function getDoc()
     {
       $ssql="select * ";
       $ssql.=" From personal order by appat_per asc";       
       return $this->BDConsulta($ssql);
     }
	 function getNumeros()
     {
       $ssql="select * ";
       $ssql.=" From req_detalle1 order by num asc";       
       return $this->BDConsulta($ssql);
     }
	 function getNumeros01()
     {
       $ssql="select num_req,fecha_rd ";
       $ssql.=" From req_detalle1 group by num_req";       
       return $this->BDConsulta($ssql);
     }
	 function getAreaUsu($idusu)
     {
       $ssql="select * ";
       $ssql.=" From usuario 
	   where idusuario=$idusu";       
       return $this->BDConsulta($ssql);
     }
	 function getTipoCombus()
     {
       $ssql="select * ";
       $ssql.=" From combustibles order by tipo asc";       
       return $this->BDConsulta($ssql);
     }
	 function getReqFileSubir($fecha1,$fecha2,$serie)
     {
       $ssql="select * ";
       $ssql.=" From requisicion where fecha_req between '$fecha1' and '$fecha2' and tipo='R' and serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getPedFileSubir($fecha1,$fecha2,$serie,$tipo,$area)
     {
       $ssql="select * ";
       $ssql.=" From requisicion 
	   where fecha_req between '$fecha1' and '$fecha2' 
	   and tipo='$tipo' and serie='$serie' and area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function devolverArtPed($codigo_ap)
     {
       $ssql="select * ";
       $ssql.=" From articulos_p where codigo_ap='$codigo_ap'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPed($cod_rd)
     {
       $ssql="select *";
       $ssql.=" From req_detalle
	   where cod_rd=$cod_rd";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPed01($cod_rda)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,d.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda,d.despachador,d.freceptor,d.receptor,d.oreceptor,d.rconforme";
       $ssql.=" From req_detalle as r,req_detalle_a as d
	   where d.cod_rda=$cod_rda
	   and r.cod_rd=d.cod_rd";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetF($tipo,$campo1,$campo2,$tipod,$serie,$inicio,$registros)
     {
       $ssql="select x.fecha_req,r.cod_rd,r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar,x.fecha_confor_ser ";
       $ssql.=" From req_detalle as r,requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo between '$campo1' and '$campo2' 
	   and r.estado='P'
	   and r.tipod='$tipod'
	   and x.serie='$serie'
	   order by r.num_req 
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoF($tipo,$campo1,$campo2,$tipod,$serie,$area,$inicio,$registros)
     {
       $ssql="select x.fecha_req,r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar,x.fecha_confor_ser ";
       $ssql.=" From req_detalle as r,requisicion as x 
	   where r.num_req=x.num_req
	   and x.$tipo between '$campo1' and '$campo2' 	   
	   and r.tipod='$tipod'
	   and x.serie='$serie'
	   and x.area='$area' 
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoFxA($tipo,$campo1,$campo2,$tipod,$serie,$area,$inicio,$registros)
     {
       $ssql="select x.fecha_req,r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar,x.fecha_confor_ser,r.estado ";
       $ssql.=" From req_detalle as r,requisicion as x 
	   where r.num_req=x.num_req
	   and x.$tipo between '$campo1' and '$campo2' 	   
	   and r.tipod='$tipod'
	   and x.serie='$serie'
	   and x.area='$area' 
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetFA($tipo,$campo1,$campo2,$tipod,$serie,$area,$inicio,$registros)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar,x.fecha_confor_ser,x.obser_req,x.fecha_req ";
       $ssql.=" From req_detalle as r,requisicion as x 
	   where r.num_req=x.num_req
	   and x.$tipo between '$campo1' and '$campo2' 
	   and r.estado='P'
	   and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area'
	   group by r.num_req
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetF01($tipo,$campo1,$campo2,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo between '$campo1' and '$campo2' 
	   and r.estado='P' and r.tipod='$tipod' and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetF1($tipo,$campo1,$campo2,$tipod,$serie,$inicio,$registros)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,d.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda ";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and d.$tipo between '$campo1' and '$campo2' and d.estado<>'c' 
	   and r.cod_rd=d.cod_rd
	   and r.tipod='$tipod' and x.serie='$serie'
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetF1001($tipo,$campo1,$campo2,$tipod,$serie,$inicio,$registros)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,d.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda ";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and d.$tipo between '$campo1' and '$campo2' and d.estado in('c','d') 
	   and r.cod_rd=d.cod_rd and r.tipod='$tipod' and x.serie='$serie'
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetF101($tipo,$campo1,$campo2,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,d.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda ";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and d.$tipo between '$campo1' and '$campo2' and d.estado<>'c' 
	   and r.tipod='$tipod' and x.serie='$serie'
	   and r.cod_rd=d.cod_rd ";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetF10101($tipo,$campo1,$campo2,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,d.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda ";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and d.$tipo between '$campo1' and '$campo2' and d.estado in ('c','d') 
	   and r.cod_rd=d.cod_rd and r.tipod='$tipod' and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDet($tipo,$campo1,$tipod,$serie,$inicio,$registros)
     {
       $ssql="select x.fecha_req,r.cod_rd,r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' 
	   and r.estado='P' and r.tipod='$tipod'
	   and x.serie='$serie'
	   order by r.num_req
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoP($tipo,$campo1,$tipod,$serie,$area,$inicio,$registros)
     {
       $ssql="select x.fecha_req,r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' 
	   and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area'
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoPxA($tipo,$campo1,$tipod,$serie,$area,$inicio,$registros)
     {
       $ssql="select x.fecha_req,r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar,r.estado ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' 
	   and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area'
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetA($tipo,$campo1,$tipod,$serie,$area,$inicio,$registros)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar,x.obser_req,x.fecha_req,x.fecha_confor_ser ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' 
	   and r.estado='P' and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area' 
	   group by r.num_req  
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetAS($num_req,$tipod,$serie,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.solicitante,r.lugar,x.obser_req,x.fecha_req,x.fecha_confor_ser ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.num_req='$num_req' 
	   and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDet01($tipo,$campo1,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and r.estado='P' and r.tipod='$tipod' and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getDetPedi($num_req,$num_serie,$tipo)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.detalle_uso ";
       $ssql.=" From req_detalle as r,requisicion as x	   
	   where r.num_req='$num_req'
	   and r.num_req=x.num_req 
	   and x.serie='$num_serie'
	   and x.tipo='$tipo'";       
       return $this->BDConsulta($ssql);
     }
	 function getDetPediA($num_req,$num_serie,$tipo,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd,r.cantidad_r,r.detalle_uso ";
       $ssql.=" From req_detalle as r,requisicion as x	   
	   where r.num_req='$num_req'
	   and r.num_req=x.num_req 
	   and x.serie='$num_serie'
	   and x.tipo='$tipo' and x.area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function getCabPedi($num_req,$num_serie,$tipo)
     {
       $ssql="select r.num_req,r.fecha_req,r.obser_req,r.motivo_uso,r.fecha_atencion,r.serie,d.lugar,d.solicitante,r.area";
       $ssql.=" From requisicion as r, req_detalle as d 
	   where r.num_req=d.num_req 
	   and r.num_req='$num_req'	   
	   and r.serie='$num_serie' 
	   and r.tipo='$tipo'";       
       return $this->BDConsulta($ssql);
     }
	 function getCabPediA($num_req,$num_serie,$tipo,$area)
     {
       $ssql="select r.num_req,r.fecha_req,r.obser_req,r.motivo_uso,r.fecha_atencion,r.serie,d.lugar,d.solicitante,r.area,r.sugerencias,r.comentarios,r.fecha_confor_ser,r.eva_serv,r.contratista";
       $ssql.=" From requisicion as r, req_detalle as d 
	   where r.num_req=d.num_req 
	   and r.num_req='$num_req'	   
	   and r.serie='$num_serie' 
	   and r.tipo='$tipo' and r.area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 
	 function getArtPedDet1($tipo,$campo1,$tipod,$serie,$inicio,$registros)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,r.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and d.estado<>'c'
	   and r.cod_rd=d.cod_rd
	   and r.tipod='$tipod' and x.serie='$serie'
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDet1001($tipo,$campo1,$tipod,$serie,$inicio,$registros)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,r.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and d.estado in('c','d')
	   and r.cod_rd=d.cod_rd and r.tipod='$tipod' and x.serie='$serie'
	   limit $inicio,$registros";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDet101($tipo,$campo1,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,r.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and d.estado<>'c'
	   and r.tipod='$tipod' and x.serie='$serie'
	   and r.cod_rd=d.cod_rd ";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDet10101($tipo,$campo1,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,d.cantidad_a,d.estado,r.num_req,r.cod_rd,d.cantidad_r,d.num_guia,d.nave,d.destino,d.fdespacho,d.cod_rda";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and d.estado in ('c','d')
	   and r.cod_rd=d.cod_rd and r.tipod='$tipod' and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetT($tipo,$campo1,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and r.estado='P' and r.tipod='$tipod' and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoPT($tipo,$campo1,$tipod,$serie,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' 
	   and r.tipod='$tipod' and x.serie='$serie' and x.area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoPTxA($tipo,$campo1,$tipod,$serie,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' 
	   and r.tipod='$tipod' and x.serie='$serie' and x.area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetTA($tipo,$campo1,$tipod,$serie,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,r.cod_rd ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and r.estado='P' 
	   and r.tipod='$tipod' and x.serie='$serie' and x.area='$area'
	   group by r.num_req";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetT1($tipo,$campo1,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,d.cod_rd ";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and d.estado<>'c'
	   and r.tipod='$tipod' and x.serie='$serie'
	   and r.cod_rd=d.cod_rd";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetT1001($tipo,$campo1,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado,r.num_req,d.cod_rd ";
       $ssql.=" From req_detalle as r, req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo like '$campo1%' and d.estado in ('c','d')
	   and r.cod_rd=d.cod_rd and r.tipod='$tipod' and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetFecT($tipo,$campo1,$campo2,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo between '$campo1' and '$campo2' 
	   and r.estado='P' and r.tipod='$tipod'
	   and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoFT($tipo,$campo1,$campo2,$tipod,$serie,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and x.$tipo between '$campo1' and '$campo2' 
	   and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function getPedidoFTxA($tipo,$campo1,$campo2,$tipod,$serie,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and x.$tipo between '$campo1' and '$campo2' 
	   and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetFecTA($tipo,$campo1,$campo2,$tipod,$serie,$area)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado ";
       $ssql.=" From req_detalle as r, requisicion as x 
	   where r.num_req=x.num_req
	   and r.$tipo between '$campo1' and '$campo2' 
	   and r.estado='P' and r.tipod='$tipod'
	   and x.serie='$serie' and x.area='$area'
	   group by r.num_req";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetFecT1($tipo,$campo1,$campo2,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado ";
       $ssql.=" From req_detalle as r,req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and d.$tipo between '$campo1' and '$campo2' and d.estado<>'c'
	   and r.tipod='$tipod' and x.serie='$serie'
	   and r.cod_rd=d.cod_rd";       
       return $this->BDConsulta($ssql);
     }
	 function getArtPedDetFecT1001($tipo,$campo1,$campo2,$tipod,$serie)
     {
       $ssql="select r.nom_ap,r.um,r.cantidad_p,r.estado ";
       $ssql.=" From req_detalle as r,req_detalle_a as d, requisicion as x 
	   where r.num_req=x.num_req
	   and d.$tipo between '$campo1' and '$campo2' and d.estado in('c','d')
	   and r.cod_rd=d.cod_rd and r.tipod='$tipod' and x.serie='$serie'";       
       return $this->BDConsulta($ssql);
     }
	 function getPais()
     {
       $ssql="select * ";
       $ssql.=" From pais ";       
       return $this->BDConsulta($ssql);
     }
	 function getAP($tipo,$des,$regini,$regxpag)
     {
       $ssql="select * ";
       $ssql.=" From articulos_p where $tipo like '$des%' limit $regini,$regxpag ";       
       return $this->BDConsulta($ssql);
     }
	 function getAPT($tipo,$des)
     {
       $ssql="select * ";
       $ssql.=" From articulos_p where $tipo like '$des%'";       
       return $this->BDConsulta($ssql);
     }
	 function getCodPer()
     {
       $ssql="select * ";
       $ssql.=" From parametro where nombre='codigo_personal' ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerDatos($dociden_per)
     {
       $ssql="select p.*,e.*,c.* ";
       $ssql.=" From personal as p,empresas as e,pais as c where e.cod_emp=p.cod_emp and c.cod_pais=p.cod_pais and p.dociden_per='$dociden_per' ";       
       return $this->BDConsulta($ssql);
     }
	 function getEmpDatos($cod_emp)
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From empresas as e,pais as p where e.cod_pais=p.cod_pais and e.cod_emp='$cod_emp'";       
       return $this->BDConsulta($ssql);
     }
	 function getUsuarioDatos($idusuario)
     {
       $ssql="select * ";
       $ssql.=" From usuario where idusuario=$idusuario";       
       return $this->BDConsulta($ssql);
     }
	 function getRutaDatos($cod_ruta)
     {
       $ssql="select * ";
       $ssql.=" From ruta where cod_ruta='$cod_ruta'";       
       return $this->BDConsulta($ssql);
     }
	 function getTransDatos($mat_trans)
     {
       $ssql="select * ";
       $ssql.=" From transporte where mat_trans='$mat_trans'";       
       return $this->BDConsulta($ssql);
     }
	 function getCodEmp()
     {
       $ssql="select * ";
       $ssql.=" From parametro where nombre='codigo_empresa' ";       
       return $this->BDConsulta($ssql);
     }
	 function getCodRuta()
     {
       $ssql="select * ";
       $ssql.=" From parametro where nombre='codigo_ruta' ";       
       return $this->BDConsulta($ssql);
     }
	 function getCodMani()
     {
       $ssql="select * ";
       $ssql.=" From parametro where nombre='codigo_manifiesto' ";       
       return $this->BDConsulta($ssql);
     }
	 function getNumParametro($nombre)
     {
       $ssql="select * ";
       $ssql.=" From parametro where nombre='$nombre' ";       
       return $this->BDConsulta($ssql);
     }
	 function getNumParametroAreas($nombre,$area)
     {
       $ssql="select * ";
       $ssql.=" From parametro where nombre='$nombre' and valor_e='$area'";       
       return $this->BDConsulta($ssql);
     }
	 function getNumSerCorre()
     {
       $ssql="select * ";
       $ssql.=" From parametro where nombre='numsercorre'";       
       return $this->BDConsulta($ssql);
     }
	 function getEmpPag($des,$regini,$regxpag)
     {
       $ssql="select e.*,p.* ";
       $ssql.=" From empresas as e,pais as p where e.cod_pais=p.cod_pais and e.razon_emp like '$des%' limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getTransPag($des,$regini,$regxpag)
     {
       $ssql="select * ";
       $ssql.=" From transporte where mat_trans like '$des%' limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getRutaPag($orig_ruta,$dest_ruta,$regini,$regxpag)
     {
       $ssql="select o.nom_lugar as origen,d.nom_lugar as destino,r.fecha_ruta,r.mat_trans,r.cod_ruta,r.activo_ruta ";
       $ssql.=" From ruta as r,lugares as o,lugares as d where r.orig_ruta=o.cod_lugar and r.dest_ruta=d.cod_lugar and r.orig_ruta=$orig_ruta and r.dest_ruta=$dest_ruta order by r.fecha_ruta limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getRutaT($orig_ruta,$dest_ruta)
     {
       $ssql="select o.nom_lugar as origen,d.nom_lugar as destino,r.fecha_ruta,r.mat_trans,r.cod_ruta";
       $ssql.=" From ruta as r,lugares as o,lugares as d where r.orig_ruta=o.cod_lugar and r.dest_ruta=d.cod_lugar and r.orig_ruta=$orig_ruta and r.dest_ruta=$dest_ruta";       
       return $this->BDConsulta($ssql);
     }
	 function getTransT($des)
     {
       $ssql="select * ";
       $ssql.=" From transporte where mat_trans like '$des%'";       
       return $this->BDConsulta($ssql);
     }
	 function getEmpT($des)
     {
       $ssql="select e.*,p.* ";
       $ssql.=" From empresas as e,pais as p where e.cod_pais=p.cod_pais and e.razon_emp like '$des%' ";       
       return $this->BDConsulta($ssql);
     }
	 function getPersonalPag($appat_per,$regini,$regxpag)
     {
       $ssql="select * ";
       $ssql.=" From personal where concat(appat_per,' ',apmat_per) like '$appat_per%' order by appat_per asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPersonalResPag($appat_res,$regini,$regxpag)
     {
       $ssql="select * ";
       $ssql.=" From combus_res where concat(appat_res,' ',apmat_res) like '$appat_res%' order by appat_res asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPilotoPag($appat_per,$regini,$regxpag)
     {
       $ssql="select * ";
       $ssql.=" From personal where appat_per like '$appat_per%' and cargo_per='PILOTO' order by appat_per asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getCoPilotoPag($appat_per,$regini,$regxpag)
     {
       $ssql="select * ";
       $ssql.=" From personal where appat_per like '$appat_per%' and cargo_per='COPILOTO' order by appat_per asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerTodosPag($regini,$regxpag)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per group by p.dociden_per order by p.appat_per asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApePag($des,$tipo,$mes,$anio,$regini,$regxpag)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and CONCAT(p.$tipo,' ',p.apmat_per) like '$des%' and MONTH(fecha_mpass)='$mes' and YEAR(fecha_mpass)='$anio' group by p.dociden_per order by p.appat_per asc  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApePagF($des,$tipo,$fecha1,$fecha2,$regini,$regxpag)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and CONCAT(p.$tipo,' ',p.apmat_per) like '$des%' and m.fecha_mpass between '$fecha1' and '$fecha2' group by p.dociden_per order by p.appat_per asc  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getTotPerxRutaxCia($fecha1,$fecha2,$regini,$regxpag)
     {
       $ssql="select count( m.dociden_per ) AS cantidad,  m.origen , m.destino, e.razon_emp";
       $ssql.=" FROM manpass AS m, personal AS p, empresas AS e
	   WHERE e.cod_emp = p.cod_emp
       AND p.dociden_per = m.dociden_per	         
       AND m.fecha_mpass
       BETWEEN '$fecha1'
       AND '$fecha2'
       AND m.codigo_mpass
	   IN (
       SELECT max( codigo_mpass ) 
       FROM manpass
       GROUP BY dociden_per
       )
       GROUP BY e.razon_emp,m.fecha_mpass,m.hora 
	   order by e.razon_emp asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
	   /* select count( m.dociden_per ) AS cantidad, max( m.origen ) AS origen, max( m.destino ) AS destino, e.razon_emp*/
     }
	 function getTotPerxRutaB($fecha1,$fecha2,$regini,$regxpag)
     {
       $ssql="SELECT r.cod_ruta, t.mat_trans, t.tipo_trans, t.model_trans, m.origen, m.destino, r.testimado_ruta, r.fecha_ruta, r.horasal_ruta, r.horallega_ruta, m.codigo_mpass, m.permanencia ";
       $ssql.=" FROM manpass AS m, manifiesto AS x, ruta AS r, transporte AS t 
	   WHERE t.mat_trans = r.mat_trans
	   AND t.tipo_trans = 'BARCAZA'
	   AND r.cod_ruta = x.cod_ruta
	   AND x.codigo_man = m.codigo_man
	   AND r.fecha_ruta
	   BETWEEN '$fecha1'
	   AND '$fecha2'
	   GROUP BY r.cod_ruta
	   ORDER BY r.testimado_ruta ASC limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getBitacoraVer($fecha1,$fecha2,$regini,$regxpag)
     {
       $ssql="select u.fecha_ubi, u.hora_ubi, u.lugar, r.cod_ruta, t.mat_trans, t.tipo_trans, t.model_trans, m.origen, m.destino, r.testimado_ruta, r.fecha_ruta, r.horasal_ruta, r.horallega_ruta, m.codigo_mpass ";
       $ssql.=" FROM manpass AS m, manifiesto AS x, ruta AS r, transporte AS t, ubicacion_nave AS u 
	   WHERE u.cod_ruta = r.cod_ruta
	   AND t.mat_trans = r.mat_trans
	   AND r.cod_ruta = x.cod_ruta
	   AND x.codigo_man = m.codigo_man
	   AND u.fecha_ubi
	   BETWEEN '$fecha1'
	   AND '$fecha2'
	   GROUP BY hora_ubi
	   ORDER BY r.testimado_ruta ASC,t.mat_trans asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getBitacoraPrint($fecha1,$fecha2)
     {
       $ssql="select u.fecha_ubi, u.hora_ubi, u.lugar, r.cod_ruta, t.mat_trans, t.tipo_trans, t.model_trans, m.origen, m.destino, r.testimado_ruta, r.fecha_ruta, r.horasal_ruta, r.horallega_ruta, m.codigo_mpass ";
       $ssql.=" FROM manpass AS m, manifiesto AS x, ruta AS r, transporte AS t, ubicacion_nave AS u 
	   WHERE u.cod_ruta = r.cod_ruta
	   AND t.mat_trans = r.mat_trans
	   AND r.cod_ruta = x.cod_ruta
	   AND x.codigo_man = m.codigo_man
	   AND u.fecha_ubi
	   BETWEEN '$fecha1'
	   AND '$fecha2'
	   GROUP BY hora_ubi
	   ORDER BY r.testimado_ruta ASC ";       
       return $this->BDConsulta($ssql);
     }
	 function getTotPerxRutaxCiaPrint($fecha1,$fecha2)
     {
       $ssql="select count( m.dociden_per ) AS cantidad, m.origen ,  m.destino , e.razon_emp,m.fecha_mpass";
       $ssql.=" FROM manpass AS m, personal AS p, empresas AS e 
	   WHERE e.cod_emp = p.cod_emp
       AND p.dociden_per = m.dociden_per       
       AND m.fecha_mpass
       BETWEEN '$fecha1'
       AND '$fecha2'
       AND m.codigo_mpass
	   IN (
       SELECT max( codigo_mpass ) 
       FROM manpass
       GROUP BY dociden_per
       )
       GROUP BY e.razon_emp,m.fecha_mpass,m.hora 
	   order by e.razon_emp asc";       
       return $this->BDConsulta($ssql);
     }
	 function getTotPerxRuta($fecha1,$fecha2,$regini,$regxpag)
     {
       $ssql="select count( dociden_per ) as cantidad, max( origen ) as origen, max( destino ) as destino";
       $ssql.=" From manpass 
	   where tipo_mpass='PASAJERO' and fecha_mpass BETWEEN '$fecha1' AND '$fecha2' 
	   AND codigo_mpass IN ( SELECT max( codigo_mpass ) FROM manpass GROUP BY dociden_per) 
	   GROUP BY destino limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getTotPerxRutaPrint($fecha1,$fecha2)
     {
       $ssql="select count( dociden_per ) as cantidad, max( origen ) as origen, max( destino ) as destino, max(fecha_mpass) as fecha_mpass";
       $ssql.=" From manpass where tipo_mpass='PASAJERO' and fecha_mpass BETWEEN '$fecha1' AND '$fecha2' AND codigo_mpass IN ( SELECT max( codigo_mpass ) FROM manpass GROUP BY dociden_per) GROUP BY destino ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApePagDoc($des,$tipo,$mes,$anio,$regini,$regxpag)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and m.$tipo='$des' and MONTH(fecha_mpass)='$mes' and YEAR(fecha_mpass)='$anio' group by p.dociden_per order by p.appat_per asc  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApePagDocF($des,$tipo,$fecha1,$fecha2,$regini,$regxpag)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and m.$tipo='$des' and m.fecha_mpass between '$fecha1' and '$fecha2' group by p.dociden_per order by p.appat_per asc  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getUbicacionCarga($guia,$mes,$anio)
     {
       $ssql="select m.origen,m.destino,t.tipo_trans,t.mat_trans,r.fecha_ruta,r.testimado_ruta,r.horasal_ruta,m.des_w ";
       $ssql.=" From manifiesto as x,ruta as r,mancarga as m,transporte as t where t.mat_trans=r.mat_trans and r.cod_ruta=x.cod_ruta and x.codigo_man=m.codigo_man and m.guia_w='$guia' and MONTH(fecha_w)='$mes' and YEAR(fecha_w)='$anio' order by m.des_w asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApeT($des,$tipo,$mes,$anio)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and CONCAT(p.$tipo,' ',p.apmat_per) like '$des%' and MONTH(fecha_mpass)='$mes' and YEAR(fecha_mpass)='$anio' group by p.dociden_per order by  p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApeTF($des,$tipo,$fecha1,$fecha2)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and CONCAT(p.$tipo,' ',p.apmat_per) like '$des%' and m.fecha_mpass between '$fecha1' and '$fecha2' group by p.dociden_per order by  p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApeTDoc($des,$tipo,$mes,$anio)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and m.$tipo='$des' and MONTH(fecha_mpass)='$mes' and YEAR(fecha_mpass)='$anio' group by p.dociden_per order by  p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApeTDocF($des,$tipo,$fecha1,$fecha2)
     {
       $ssql="select p.*,e.*,m.* ";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and m.$tipo='$des' and m.fecha_mpass between '$fecha1' and '$fecha2' group by p.dociden_per order by  p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getUsuarios($des,$regini,$regxpag)
     {
       $ssql="select concat(apellidos,' ',nombres) as nombre,login,idusuario,activo ";
       $ssql.=" From usuario where apellidos like '$des%' and modulo='REQ' order by apellidos asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerTodosT()
     {
       $ssql="select p.*,e.*,m.*";
       $ssql.=" From personal as p,empresas as e,manpass as m where e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per group by p.dociden_per order by p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getCombusAlma($des,$regini,$regxpag)
     {
       $ssql="select c.tipo,c.stock,c.id_combus";
       $ssql.=" From combustibles as c where c.tipo like '$des%' limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getCombusAlmaFechas()
     {
       $ssql="select c.tipo,c.stock,c.id_combus";
       $ssql.=" From combustibles as c ";       
       return $this->BDConsulta($ssql);
     }
	 function getCombusAlmaTipo($tipo,$fecha1,$fecha2,$regini,$regxpag)
     {
       $ssql="select c.tipo,c.stock,c.id_combus,a.saldoant_alma,a.saldoact_alma,a.ingreso_alma,a.consumo_alma";
       $ssql.=" From combustibles as c,combus_alma as a where c.id_combus='$tipo' and a.fecha_alma between '$fecha1' and '$fecha2' and c.id_combus=a.id_combus limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getCombusAlmaSaldoss($id,$fecha1,$fecha2)
     {
       $ssql="SELECT a.id_combus, a.saldoant_alma, a.saldoact_alma, a.id_alma, a.tipomov,a.consumo_alma,a.ingreso_alma";
       $ssql.=" FROM combus_alma AS a 
	   WHERE a.fecha_alma between '$fecha1' 
	   and '$fecha2' and a.id_alma
	   IN (
	   SELECT max( a.id_alma ) AS id_alma
	   FROM combustibles AS c, combus_alma AS a
	   WHERE a.id_combus = '$id'    
	   and c.id_combus=a.id_combus
	   AND c.id_combus = a.id_combus
	   GROUP BY c.id_combus
		)";       
       return $this->BDConsulta($ssql);       
     }	 
	 function getCombusAlmaSaldos($id)
     {
       $ssql="SELECT a.id_combus, a.saldoant_alma, a.saldoact_alma, a.id_alma, a.tipomov,a.consumo_alma,a.ingreso_alma";
       $ssql.=" FROM combus_alma AS a 
	   WHERE a.id_alma
	   IN (
	   SELECT max( a.id_alma ) AS id_alma
	   FROM combustibles AS c, combus_alma AS a
	   WHERE a.id_combus = '$id'	   
	   AND c.id_combus = a.id_combus
	   GROUP BY c.id_combus
		)";       
       return $this->BDConsulta($ssql);       
     }
	 function getCombusAlmaSaldosUlt($ultimo)
     {
       $ssql="select c.id_combus,a.saldoant_alma,a.saldoact_alma,a.id_alma,a.tipomov";
       $ssql.=" From combustibles as c,combus_alma as a where a.id_alma=$ultimo and c.id_combus=a.id_combus group by c.id_combus ";       
       return $this->BDConsulta1($ssql);
     }
	 function getAlmaEdit($id_mov)
     {
       $ssql="select c.tipo,c.stock,c.id_combus,a.fecha_alma,a.saldoant_alma,a.ingreso_alma,a.saldoact_alma";
       $ssql.=" From combustibles as c,combus_alma as a where a.id_alma=$id_mov and c.id_combus=a.id_combus";       
       return $this->BDConsulta($ssql);
     }
	 //*********************************************************************************************************************************
	 function getPerTodosPagP($regini,$regxpag)
     {
       $ssql="select p.*,e.*";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp order by p.appat_per asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApePagP($des,$tipo,$mes,$anio,$regini,$regxpag)
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp and $tipo like '$des%' order by p.appat_per asc  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApePagPDoc($des,$tipo,$regini,$regxpag)
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp and $tipo='$des' order by p.appat_per asc  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApePagPag($des,$tipo,$regini,$regxpag)
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp and CONCAT(p.$tipo,' ',p.apmat_per) like '$des%' order by p.appat_per asc  limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApeTP($des,$tipo,$mes,$anio)
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp and $tipo like '$des%' order by  p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApeTPDoc($des,$tipo)
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp and $tipo='$des' order by  p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerApeTPer($des,$tipo)
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp and concat(p.$tipo,' ',p.apmat_per) like '$des%' order by  p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 function getPerTodosTP()
     {
       $ssql="select p.*,e.* ";
       $ssql.=" From personal as p,empresas as e where e.cod_emp=p.cod_emp order by p.appat_per asc ";       
       return $this->BDConsulta($ssql);
     }
	 //*********************************************************************************************************************************
	 function getUbicacionPer($dociden_per,$mes,$anio)
     {
       $ssql="select t.mat_trans,t.tipo_trans,t.model_trans,m.origen,m.destino,r.testimado_ruta,r.fecha_ruta,r.horasal_ruta,r.horallega_ruta,m.codigo_mpass,m.permanencia";
       $ssql.=" From manpass as m,manifiesto as x,ruta as r,transporte as t where t.mat_trans=r.mat_trans and r.cod_ruta=x.cod_ruta and x.codigo_man=m.codigo_man and m.dociden_per='$dociden_per' and MONTH(fecha_mpass)='$mes' and YEAR(fecha_mpass)='$anio' order by m.codigo_mpass asc";       
       return $this->BDConsulta($ssql);
     }
	 function getUbicacionPerF($dociden_per,$fecha1,$fecha2)
     {
       $ssql="select t.mat_trans,t.tipo_trans,t.model_trans,m.origen,m.destino,r.testimado_ruta,r.fecha_ruta,r.horasal_ruta,r.horallega_ruta,m.codigo_mpass,m.permanencia";
       $ssql.=" From manpass as m,manifiesto as x,ruta as r,transporte as t where t.mat_trans=r.mat_trans and r.cod_ruta=x.cod_ruta and x.codigo_man=m.codigo_man and m.dociden_per='$dociden_per' and m.fecha_mpass between '$fecha1' and '$fecha2' order by r.testimado_ruta asc";       
       return $this->BDConsulta($ssql);
     }
	 function getDetPerxCia($razon_emp,$fecha1,$fecha2,$origen,$destino)
     {
       $ssql="SELECT concat( p.appat_per, ' ', p.apmat_per, ' ', p.nom_per ) AS per, e.razon_emp, m.fecha_mpass, m.origen, m.destino,p.dociden_per ";
       $ssql.=" FROM manpass AS m, personal AS p, empresas AS e 
	   WHERE e.cod_emp = p.cod_emp
	   AND p.dociden_per = m.dociden_per
	   AND codigo_mpass
	   IN (
	   SELECT max( codigo_mpass ) 
	   FROM manpass AS m, personal AS p, empresas AS e
	   WHERE e.cod_emp = p.cod_emp
	   AND p.dociden_per = m.dociden_per	   
	   AND e.razon_emp = '$razon_emp'
	   and m.origen='$origen' and m.destino='$destino'
	   AND m.fecha_mpass
	   BETWEEN '$fecha1'
	   AND '$fecha2'
	   GROUP BY p.dociden_per
	   )
	   order by per";       
       return $this->BDConsulta($ssql);
     }
	 function devolverPer($dociden_per)
     {
       $ssql="select * ";
       $ssql.=" From personal where dociden_per='$dociden_per'";       
       return $this->BDConsulta($ssql);
     }
	 function getPersonalT($appat_per)
     {
       $ssql="select * ";
       $ssql.=" From personal where appat_per like '$appat_per%' ";       
       return $this->BDConsulta($ssql);
     }
	 function getPersonalResT($appat_res)
     {
       $ssql="select * ";
       $ssql.=" From combus_res where appat_res like '$appat_res%' ";       
       return $this->BDConsulta($ssql);
     }
	 function getPilotoT($appat_per)
     {
       $ssql="select * ";
       $ssql.=" From personal where appat_per like '$appat_per%' and cargo_per='PILOTO'";       
       return $this->BDConsulta($ssql);
     }
	 function getCoPilotoT($appat_per)
     {
       $ssql="select * ";
       $ssql.=" From personal where appat_per like '$appat_per%' and cargo_per='COPILOTO'";       
       return $this->BDConsulta($ssql);
     }
	 function getEmp()
     {
       $ssql="select * ";
       $ssql.=" From empresas ";       
       return $this->BDConsulta($ssql);
     }
	 function getEmpp($cod_pais)
     {
       $ssql="select * ";
       $ssql.=" From empresas where cod_pais='$cod_pais'";       
       return $this->BDConsulta($ssql);
     }
	 function getEmpA($cod_pais)
     {
       $ssql="select * ";
       $ssql.=" From empresas where cod_pais='$cod_pais'";       
       return $this->BDConsulta($ssql);
     }
	 function getTrans()
     {
       $ssql="select * ";
       $ssql.=" From transporte ";       
       return $this->BDConsulta($ssql);
     }
	 function getHeliTrans()
     {
       $ssql="select * ";
       $ssql.=" From transporte where tipo_trans='HELICOPTERO'";       
       return $this->BDConsulta($ssql);
     }
	 function getLugar()
     {
       $ssql="select * ";
       $ssql.=" From lugares ";       
       return $this->BDConsulta($ssql);
     }
	 function getOrigen()
     {
       $ssql="select distinct r.orig_ruta,l.nom_lugar ";
       $ssql.=" From ruta as r,lugares as l where r.orig_ruta=l.cod_lugar and r.activo_ruta='1'";       
       return $this->BDConsulta($ssql);
     }
	 function getLugarO($orig_ruta)
     {
       $ssql="select distinct r.orig_ruta,l.nom_lugar as origen ";
       $ssql.=" From ruta as r,lugares as l where r.orig_ruta=l.cod_lugar and r.activo_ruta='1' and r.orig_ruta=$orig_ruta";       
       return $this->BDConsulta($ssql);
     }
	 function getLugarD($dest_ruta)
     {
       $ssql="select distinct r.dest_ruta,l.nom_lugar as destino ";
       $ssql.=" From ruta as r,lugares as l where r.dest_ruta=l.cod_lugar and r.activo_ruta='1' and r.dest_ruta=$dest_ruta";       
       return $this->BDConsulta($ssql);
     }
	 function getDestino($orig_ruta)
     {
       $ssql="select distinct r.dest_ruta,l.nom_lugar ";
       $ssql.=" From ruta as r,lugares as l where r.dest_ruta=l.cod_lugar and r.activo_ruta='1' and r.orig_ruta=$orig_ruta";       
       return $this->BDConsulta($ssql);
     }
	 function getRutaD($orig_ruta,$dest_ruta)
     {
       $ssql="select o.nom_lugar as origen,d.nom_lugar as destino,r.fecha_ruta,r.cod_ruta,t.mat_trans,t.tcant_trans,t.capcarg_trans,t.tipo_trans,r.cantp_ruta,r.pesot_ruta,r.testimado_ruta,t.passt_trans,t.cargat_trans";
       $ssql.=" From ruta as r,lugares as o,lugares as d,transporte as t where r.orig_ruta=o.cod_lugar and r.dest_ruta=d.cod_lugar and r.activo_ruta='1' and r.orig_ruta=$orig_ruta and r.dest_ruta=$dest_ruta and r.mat_trans=t.mat_trans ORDER BY r.fecha_ruta ASC,r.testimado_ruta ASC";       
       return $this->BDConsulta($ssql);
     }
	 function getManLista($regini,$regxpag)
     {
       $ssql="select t.mat_trans,t.tipo_trans,m.cod_man,m.fecha_man,r.fecha_ruta,r.testimado_ruta,r.horasal_ruta,r.horallega_ruta,m.obser,m.via";
       $ssql.=" From ruta as r,transporte as t,manifiesto as m where r.mat_trans=t.mat_trans and r.cod_ruta=m.cod_ruta GROUP BY m.cod_man limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getManListaT()
     {
       $ssql="select t.mat_trans,t.tipo_trans,m.cod_man,m.fecha_man";
       $ssql.=" From ruta as r,transporte as t,manifiesto as m where r.activo_ruta='1' and r.mat_trans=t.mat_trans and r.cod_ruta=m.cod_ruta GROUP BY m.cod_man ";       
       return $this->BDConsulta($ssql);
     }
	 function getManListaPag($cod_man,$via)
     {
       $ssql="select o.nom_lugar as origen,d.nom_lugar as destino,r.fecha_ruta,r.cod_ruta,t.mat_trans,t.tcant_trans,t.capcarg_trans,t.tipo_trans,r.cantp_ruta,r.pesot_ruta,m.cod_man,m.fecha_man,r.testimado_ruta,r.horasal_ruta,r.horallega_ruta,m.obser,m.via,m.archivo_man";
       $ssql.=" From ruta as r,lugares as o,lugares as d,transporte as t,manifiesto as m where r.orig_ruta=o.cod_lugar and r.dest_ruta=d.cod_lugar and r.mat_trans=t.mat_trans and r.cod_ruta=m.cod_ruta and m.cod_man='$cod_man' and m.via='$via' group by m.cod_man";       
       return $this->BDConsulta($ssql);
     }
	 function getListaHVHeliPag($numcontrol)
     {
       $ssql="select c.*,e.*";
       $ssql.=" From controlheli as c,empresas as e where c.numcontrol='$numcontrol' and e.cod_emp=c.usuario_cia";       
       return $this->BDConsulta($ssql);
     }
	 function getDetHVHeli($numcontrol)
     {
       $ssql="select *";
       $ssql.=" From detcontrolheli where numcontrol='$numcontrol'";       
       return $this->BDConsulta($ssql);
     }
	 function getManListaTT($cod_man,$via)
     {
       $ssql="select o.nom_lugar as origen,d.nom_lugar as destino,r.fecha_ruta,r.cod_ruta,t.mat_trans,t.tcant_trans,t.capcarg_trans,t.tipo_trans,r.cantp_ruta,r.pesot_ruta,m.cod_man";
       $ssql.=" From ruta as r,lugares as o,lugares as d,transporte as t,manifiesto as m where r.orig_ruta=o.cod_lugar and r.dest_ruta=d.cod_lugar and r.activo_ruta='1' and r.mat_trans=t.mat_trans and r.cod_ruta=m.cod_ruta and m.cod_man='$cod_man' and m.via='$via'";       
       return $this->BDConsulta($ssql);
     }
	 function getManW($cod_man)
     {
       $ssql="select * ";
       $ssql.=" From manifiesto where cod_man='$cod_man'";       
       return $this->BDConsulta($ssql);
     }
	 function getRutaW($cod_ruta)
     {
       $ssql="select * ";
       $ssql.=" From ruta where cod_ruta='$cod_ruta'";       
       return $this->BDConsulta($ssql);
     }
	 function getTripuDatos($cod_man,$via)
     {
       $ssql="select concat(p.nom_per,' ',p.appat_per,' ',apmat_per) as nombres,p.dociden_per,e.razon_emp,m.peso_mpass,m.pesoeq_mpass,m.origen,m.destino,p.cargo_per,m.dociden_per ";
       $ssql.=" From manpass as m,personal as p,empresas as e,manifiesto as x where x.codigo_man=m.codigo_man and e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and x.cod_man='$cod_man' and x.via='$via' and m.tipo_mpass='TRIPULANTE' GROUP BY m.dociden_per";       
       return $this->BDConsulta($ssql);
     }
	 function getPassDatos($cod_man,$via)
     {
       $ssql="select concat(p.nom_per,' ',p.appat_per,' ',apmat_per) as nombres,p.dociden_per,e.razon_emp,m.peso_mpass,m.pesoeq_mpass,m.origen,m.destino ";
       $ssql.=" From manpass as m,personal as p,empresas as e,manifiesto as x where x.codigo_man=m.codigo_man and e.cod_emp=p.cod_emp and p.dociden_per=m.dociden_per and x.cod_man='$cod_man' and x.via='$via' and m.tipo_mpass='PASAJERO'";       
       return $this->BDConsulta($ssql);
     }
	 function getCargaDatos($cod_man,$via)
     {
       $ssql="select m.* ";
       $ssql.=" From mancarga as m,manifiesto as x where x.codigo_man=m.codigo_man and x.cod_man='$cod_man' and x.via='$via'";       
       return $this->BDConsulta($ssql);
     }
	 function getUsu()
     {
       $ssql="select * ";
       $ssql.=" From usuario where activo='1' and modulo='REQ'";       
       return $this->BDConsulta($ssql);
     }
	 function getOpcionMenu()
     {
       $ssql="select m.idmenu,g.nommenugrupo,m.nommenu ";
       $ssql.=" From menugrupo as g,menu as m where g.idmenugrupo=m.idmenugrupo and g.modulo='REQ' order by g.nommenugrupo asc";       
       return $this->BDConsulta($ssql);
     }
	 function getMenuGrupo()
     {
       $ssql="select g.idmenugrupo,g.nommenugrupo ";
       $ssql.=" From menugrupo as g where g.modulo='VUELOS' order by g.nommenugrupo asc";       
       return $this->BDConsulta($ssql);
     }
	 function getMenuOrden($idmenugrupo)
     {
       $ssql="select max(orden+1) as orden";
       $ssql.=" From menu where idmenugrupo=$idmenugrupo ";       
       return $this->BDConsulta($ssql);
     }
	 function getMenus($des,$regini,$regxpag)
     {
       $ssql="select m.idmenu,g.nommenugrupo,m.nommenu,g.idmenugrupo,m.archivo ";
       $ssql.=" From menugrupo as g,menu as m where g.idmenugrupo=m.idmenugrupo and g.modulo='VUELOS' and g.nommenugrupo like '$des%' order by g.nommenugrupo asc limit $regini,$regxpag";       
       return $this->BDConsulta($ssql);
     }
	 function getMenusT($des)
     {
       $ssql="select m.idmenu,g.nommenugrupo,m.nommenu,g.idmenugrupo,m.archivo ";
       $ssql.=" From menugrupo as g,menu as m where g.idmenugrupo=m.idmenugrupo and g.modulo='VUELOS' and g.nommenugrupo like '$des%' order by g.nommenugrupo asc";       
       return $this->BDConsulta($ssql);
     }
	 function getOpcionMenuSel($idusuario)
     {
       $ssql="select p.idpermiso,g.nommenugrupo,m.nommenu ";
       $ssql.=" From menugrupo as g,menu as m,permiso as p where g.idmenugrupo=m.idmenugrupo 
	   and p.idmenu=m.idmenu and g.modulo='REQ' and p.idusuario=$idusuario order by g.nommenugrupo asc";       
       return $this->BDConsulta($ssql);
     }
	 function getCodUltimoMpass($dociden_per)
     {
       $ssql="select max(codigo_mpass) as codigo_mpass";
       $ssql.=" From manpass where dociden_per='$dociden_per'";       
       return $this->BDConsulta($ssql);
     }
	 function getMenuDatos($idmenu)
     {
       $ssql="select m.idmenu,m.nommenu,m.orden,m.archivo,g.nommenugrupo";
       $ssql.=" From menu as m,menugrupo as g where m.idmenugrupo=g.idmenugrupo and m.idmenu=$idmenu";       
       return $this->BDConsulta($ssql);
     }
	 function getKardexUltimoMov($id_combus)
     {
       $ssql="select max(id_alma) as id_alma";
       $ssql.=" From combus_alma where id_combus='$id_combus'";       
       return $this->BDConsulta($ssql);
     }
	 function getKardexUltimoReg($id_alma)
     {
       $ssql="select *";
       $ssql.=" From combus_alma where id_alma=$id_alma";       
       return $this->BDConsulta($ssql);
     }
	 //**********************************************************************************************************************************
	 function getCboLugarN($cod_lugar)
     {
       $lista="";
       $resultado=$this->getLugar();
       while($filas=$this->NextRow($resultado))
       {
         if($cod_lugar==$filas[0])
           $lista.="<option value='".$filas[1]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[1]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboLugarNN($cod_lugar)
     {
       $lista="";
       $resultado=$this->getLugar();
       while($filas=$this->NextRow($resultado))
       {
         if($cod_lugar==$filas[1])
           $lista.="<option value='".$filas[1]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[1]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboMenuGrupo($idmenugrupo)
     {
       $lista="";
       $resultado=$this->getMenuGrupo();
       while($filas=$this->NextRow($resultado))
       {
         if($idmenugrupo==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboOpcionMenuSel($idusuario)
     {
       $lista="";
       $resultado=$this->getOpcionMenuSel($idusuario);
       while($filas=$this->NextRow($resultado))
       {
         if($idusuario==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."-".$filas[2]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."-".$filas[2]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboOpcionMenu($idmenu)
     {
       $lista="";
       $resultado=$this->getOpcionMenu();
       while($filas=$this->NextRow($resultado))
       {
         if($idmenu==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."-".$filas[2]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."-".$filas[2]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboUsu($idusuario)
     {
       $lista="";
       $resultado=$this->getUsu();
       while($filas=$this->NextRow($resultado))
       {
         if($idusuario==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1].", ".$filas[2]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1].", ".$filas[2]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboPaisA($cod_pais)
     {
       $lista="";
       $resultado=$this->getPais();
       while($filas=$this->NextRow($resultado))
       {
         if($cod_pais==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboEmpA($cod_pais)
     {
       $lista="";
       $resultado=$this->getEmpA($cod_pais);
       while($filas=$this->NextRow($resultado))
       {
         if($cod_pais==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboPais($cod_pais)
     {
       $lista="";
       $resultado=$this->getPais();
       while($filas=$this->NextRow($resultado))
       {
         if($cod_pais==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboEmp($cod_emp)
     {
       $lista="";
       $resultado=$this->getEmp();
       while($filas=$this->NextRow($resultado))
       {
         if($cod_emp==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboTipoCombus($tipo)
     {
       $lista="";
       $resultado=$this->getTipoCombus();
       while($filas=$this->NextRow($resultado))
       {
         if($tipo==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboEmpp($cod_emp,$cod_pais)
     {
       $lista="";
       $resultado=$this->getEmpp($cod_pais);
       while($filas=$this->NextRow($resultado))
       {
         if($cod_emp==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboDestino($dest_ruta,$orig_ruta)
     {
       $lista="";
       $resultado=$this->getDestino($orig_ruta);
       while($filas=$this->NextRow($resultado))
       {
         if($dest_ruta==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboTrans($mat_trans)
     {
       $lista="";
       $resultado=$this->getTrans();
       while($filas=$this->NextRow($resultado))
       {
         if($mat_trans==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[0]."-".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[0]."-".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboHeliTrans($mat_trans)
     {
       $lista="";
       $resultado=$this->getHeliTrans();
       while($filas=$this->NextRow($resultado))
       {
         if($mat_trans==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[0]."-".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[0]."-".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboLugar($cod_lugar)
     {
       $lista="";
       $resultado=$this->getLugar();
       while($filas=$this->NextRow($resultado))
       {
         if($cod_lugar==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 function getCboOrigen($orig_ruta)
     {
       $lista="";
       $resultado=$this->getOrigen();
       while($filas=$this->NextRow($resultado))
       {
         if($orig_ruta==$filas[0])
           $lista.="<option value='".$filas[0]."' selected>".$filas[1]."</option>".chr(13).chr(10);
         else
           $lista.="<option value='".$filas[0]."'>".$filas[1]."</option>".chr(13).chr(10);
       }
       $this->Liberar($resultado);
      return $lista;
     }
	 //*********************************************************************************************************************************
	 function ExisteOrdenP($num_req,$num_serie)
	 {
		$sql="Select num_req from requisicion where num_req='$num_req' and serie='$num_serie' and tipo='R'";
		$resultado=$this->BDConsulta($sql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;     
     }
	 function ExisteOrdenP01($num_req,$num_serie,$area)
	 {
		$sql="Select num_req from requisicion where num_req='$num_req' and serie='$num_serie' and tipo='P' and area='$area'";
		$resultado=$this->BDConsulta($sql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;     
     }
	 function ExisteOrdenSer($num_req,$num_serie,$area)
	 {
		$sql="Select num_req from requisicion where num_req='$num_req' and serie='$num_serie' and tipo='S' and area='$area'";
		$resultado=$this->BDConsulta($sql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;     
     }
	 function ExisteKardex($id_combus)
	 {
		$sql="Select id_combus from combus_alma where id_combus='$id_combus' ";
		$resultado=$this->BDConsulta($sql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;     
     }
	 function ExisteControlHeli($numcontrol)
	 {
		$sql="Select numcontrol from controlheli where numcontrol='$numcontrol' ";
		$resultado=$this->BDConsulta($sql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;     
     }
	 function ExisteArchivopdf($cod_man)
	 {
		$sql="Select archivo_man from manifiesto where cod_man='$cod_man' group by cod_man";
		$result=$this->BDConsulta($sql);
		while($fila=$this->NextRow($result))
		{
			if ($fila['archivo_man'])
			{
				$existe=1;
			}else{
				$existe=0;
			}
		}
		return $existe;
     }
	 function ExisteArchivopdf01($num_req,$serie)
	 {
		$sql="Select archivo from requisicion where num_req='$num_req' and serie='$serie' and tipo='R'";
		$result=$this->BDConsulta($sql);
		while($fila=$this->NextRow($result))
		{
			if ($fila['archivo'])
			{
				$existe=1;
			}else{
				$existe=0;
			}
		}
		return $existe;
     }
	 function ExisteArchivoPedpdf($num_req,$serie,$tipo,$area)
	 {
		$sql="Select archivo from requisicion 
		where num_req='$num_req' and serie='$serie' and tipo='$tipo' and area='$area'";
		$result=$this->BDConsulta($sql);
		while($fila=$this->NextRow($result))
		{
			if ($fila['archivo'])
			{
				$existe=1;
			}else{
				$existe=0;
			}
		}
		return $existe;
     }
	 function ExisteFotoPer($dociden_per)
     {
       $ssql="select foto from personal where dociden_per='$dociden_per' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExistePersonal($dociden_per)
     {
       $ssql="select dociden_per from personal where dociden_per='$dociden_per' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExisteEmp($cod_emp)
     {
       $ssql="select cod_emp from empresas where cod_emp='$cod_emp' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExisteTrans($mat_trans)
     {
       $ssql="select mat_trans from transporte where mat_trans='$mat_trans' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExisteRuta($cod_ruta)
     {
       $ssql="select cod_ruta from ruta where cod_ruta='$cod_ruta' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExisteManifiesto($cod_man)
     {
       $ssql="select cod_man from manifiesto where cod_man='$cod_man' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExisteLoginClave($login,$clave)
     {
       $ssql="select clave from usuario where login='$login' or clave='$clave' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExisteClave($clave)
     {
       $ssql="select clave from usuario where clave='$clave' ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 function ExistePermiso($idusuario,$idmenu)
     {
       $ssql="select idusuario from permiso where idusuario=$idusuario and idmenu=$idmenu ";
       $resultado=$this->BDConsulta($ssql);
       if($filas=$this->NextRow($resultado))
           $existe=$filas[0];
       else
           $existe=0;
       $this->Liberar($resultado);
       return $existe;
     }
	 //*********************************************************************************************************************************
	 function registrarPersonal($cod_per,$appat_per,$apmat_per,$nom_per,$fnac_per,$cod_emp,$cod_pais,$fono_per,$cargo_per,$dociden_per,$peso_per,$activo_per,$foto,$dir_per,$estcivil_per,$afp_per,$numafp_per,$seguro_per,$numhijos_per,$fcontra_per)
     {
      $ssql="Insert Into personal(cod_per,appat_per,apmat_per,nom_per,fnac_per,cod_emp,cod_pais,fono_per,cargo_per,dociden_per,peso_per,activo_per,foto,dir_per,estcivil_per,afp_per,numafp_per,seguro_per,numhijos_per,fcontra_per) values('$cod_per','$appat_per','$apmat_per','$nom_per','$fnac_per','$cod_emp',$cod_pais,'$fono_per','$cargo_per','$dociden_per',$peso_per,'$activo_per','$foto','$dir_per','$estcivil_per','$afp_per','$numafp_per','$seguro_per',$numhijos_per,'$fcontra_per')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarEmp($cod_emp,$razon_emp,$dir_emp,$ruc_emp,$contacto1_emp,$contacto2_emp,$cod_pais,$ciudad_emp,$activo_emp)
     {
      $ssql="Insert Into empresas(cod_emp,razon_emp,dir_emp,ruc_emp,contacto1_emp,contacto2_emp,cod_pais,ciudad_emp,activo_emp) values('$cod_emp','$razon_emp','$dir_emp','$ruc_emp','$contacto1_emp','$contacto2_emp',$cod_pais,'$ciudad_emp','$activo_emp')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarTrans($mat_trans,$tipo_trans,$cappass_trans,$capcarg_trans,$model_trans,$tripnum_trans,$tcant_trans,$activo_trans,$passt_trans,$cargat_trans)
     {
      $ssql="Insert Into transporte(mat_trans,tipo_trans,cappass_trans,capcarg_trans,model_trans,tripnum_trans,tcant_trans,activo_trans,passt_trans,cargat_trans) values('$mat_trans','$tipo_trans',$cappass_trans,$capcarg_trans,'$model_trans',$tripnum_trans,$tcant_trans,'$activo_trans',$passt_trans,$cargat_trans)";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarRuta($cod_ruta,$orig_ruta,$dest_ruta,$mat_trans,$fecha_ruta,$activo_ruta,$testimado_ruta,$horasal_ruta,$horallega_ruta)
     {
      $ssql="Insert Into ruta(cod_ruta,orig_ruta,dest_ruta,mat_trans,fecha_ruta,activo_ruta,testimado_ruta,horasal_ruta,horallega_ruta) values('$cod_ruta',$orig_ruta,$dest_ruta,'$mat_trans','$fecha_ruta','$activo_ruta','$testimado_ruta','$horasal_ruta','$horallega_ruta')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarLugar($nom_lugar)
     {
      $ssql="Insert Into lugares(nom_lugar) values('$nom_lugar')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarCombusRes($dociden_res,$appat_res,$apmat_res,$nom_res,$tel_res,$dir_res)
     {
      $ssql="Insert Into combus_res(dociden_res,appat_res,apmat_res,nom_res,tel_res,dir_res) values('$dociden_res','$appat_res','$apmat_res','$nom_res','$tel_res','$dir_res')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarPais($nom_pais)
     {
      $ssql="Insert Into pais(nom_pais) values('$nom_pais')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarManifiesto($cod_man,$cod_ruta,$fecha_man,$cargat_man,$triput_man,$obser,$via)
     {
      $ssql="Insert Into manifiesto(cod_man,cod_ruta,fecha_man,cargat_man,triput_man,obser,via) values('$cod_man','$cod_ruta','$fecha_man',$cargat_man,$triput_man,'$obser','$via')";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id;	        
     }
	 function registrarManPass($codigo_man,$dociden_per,$fecha_mpass,$peso_mpass,$pesoeq_mpass,$tipo_mpass,$origen,$destino,$hora)
     {
      $ssql="Insert Into manpass(codigo_man,dociden_per,fecha_mpass,peso_mpass,pesoeq_mpass,tipo_mpass,origen,destino,hora) values($codigo_man,'$dociden_per','$fecha_mpass',$peso_mpass,$pesoeq_mpass,'$tipo_mpass','$origen','$destino','$hora')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarManCarga($codigo_man,$fecha_w,$des_w,$guia_w,$peso_w,$cant_w,$tipo_carga,$origen,$destino,$compania,$tipounidad)
     {
      $ssql="Insert Into mancarga(codigo_man,fecha_w,des_w,guia_w,peso_w,cant_w,tipo_carga,origen,destino,compania,tipounidad) values($codigo_man,'$fecha_w','$des_w','$guia_w',$peso_w,$cant_w,'$tipo_carga','$origen','$destino','$compania','$tipounidad')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarUsuario($apellidos,$nombres,$login,$clave,$activo,$modulo)
     {
      $ssql="Insert Into usuario(apellidos,nombres,login,clave,activo,modulo) values('$apellidos','$nombres','$login','$clave','$activo','$modulo')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarPermiso($idusuario,$idmenu,$modulo)
     {
      $ssql="Insert Into permiso(idusuario,idmenu,modulo) values($idusuario,$idmenu,'$modulo')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarOrdenP($num_req,$fecha_req,$obser_req,$num_serie,$motivo_uso,$fecha_atencion)
     {
      $ssql="Insert Into requisicion(num_req,fecha_req,obser_req,serie,motivo_uso,fecha_atencion,tipo) values('$num_req','$fecha_req','$obser_req','$num_serie','$motivo_uso','$fecha_atencion','R')";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id; 	        
     }
	 function registrarOrdenP01($num_req,$fecha_req,$obser_req,$num_serie,$motivo_uso,$area)
     {
      $ssql="Insert Into requisicion(num_req,fecha_req,obser_req,serie,motivo_uso,tipo,area) values('$num_req','$fecha_req','$obser_req','$num_serie','$motivo_uso','P','$area')";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id; 	        
     }
	 function registrarOrdenSer($num_req,$fecha_req,$obser_req,$num_serie,$motivo_uso,$area)
     {
      $ssql="Insert Into requisicion(num_req,fecha_req,obser_req,serie,motivo_uso,tipo,area) values('$num_req','$fecha_req','$obser_req','$num_serie','$motivo_uso','S','$area')";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id; 	        
     }
	 function registrarOrdenPD($num_req,$nom_ap,$cantidad_p,$fecha_rd,$estado,$um,$solicitante,$lugar,$detalle_uso)
     {
      $ssql="Insert Into req_detalle(num_req,nom_ap,cantidad_p,fecha_rd,estado,um,solicitante,lugar,detalle_uso,tipod) values('$num_req','$nom_ap',$cantidad_p,'$fecha_rd','$estado','$um','$solicitante','$lugar','$detalle_uso','R')";
      $this->BDConsulta($ssql);	  	        
     }
	 function registrarOrdenPD01($num_req,$nom_ap,$cantidad_p,$fecha_rd,$estado,$um,$solicitante,$lugar,$detalle_uso)
     {
      $ssql="Insert Into req_detalle(num_req,nom_ap,cantidad_p,fecha_rd,estado,um,solicitante,lugar,detalle_uso,tipod) values('$num_req','$nom_ap',$cantidad_p,'$fecha_rd','$estado','$um','$solicitante','$lugar','$detalle_uso','P')";
      $this->BDConsulta($ssql);	  	        
     }
	 function registrarOrdenDS($num_req,$nom_ap,$cantidad_p,$fecha_rd,$estado,$solicitante,$lugar)
     {
      $ssql="Insert Into req_detalle(num_req,nom_ap,cantidad_p,fecha_rd,estado,solicitante,lugar,tipod) values('$num_req','$nom_ap',$cantidad_p,'$fecha_rd','$estado','$solicitante','$lugar','S')";
      $this->BDConsulta($ssql);	  	        
     }
	 function registrarZZZ($campo1,$campo2)
     {
      echo $ssql="Insert Into zzz(campo1,campo2) values('$campo1','$campo2')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarMenu($nommenu,$idmenugrupo,$archivo,$orden,$modulo)
     {
      $ssql="Insert Into menu(nommenu,idmenugrupo,archivo,orden,modulo) values('$nommenu',$idmenugrupo,'$archivo',$orden,'$modulo')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarUbiNave($cod_ruta,$hora_ubi,$fecha_ubi,$lugar)
     {
      $ssql="Insert Into ubicacion_nave(cod_ruta,hora_ubi,fecha_ubi,lugar) values('$cod_ruta','$hora_ubi','$fecha_ubi','$lugar')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarControlHeli($numcontrol,$matricula,$lugar,$fecha,$piloto,$copiloto,$usuario_cia,$mision,$obser)
     {
      $ssql="Insert Into controlheli(numcontrol,matricula,lugar,fecha,piloto,copiloto,usuario_cia,mision,obser) values('$numcontrol','$matricula','$lugar','$fecha','$piloto','$copiloto','$usuario_cia','$mision','$obser')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarDetControlHeli($numcontrol,$harranq_dch,$hapaga_dch,$hv_dch,$cpass_dch,$ccarga_dch,$itinerario)
     {
      $ssql="Insert Into detcontrolheli(numcontrol,harranq_dch,hapaga_dch,hv_dch,cpass_dch,ccarga_dch,itinerario) values('$numcontrol','$harranq_dch','$hapaga_dch',$hv_dch,$cpass_dch,$ccarga_dch,'$itinerario')";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarAlma($id_combus,$fecha_alma,$hora_alma,$tipomov,$saldoant_alma,$ingreso_alma,$saldoact_alma)
     {
      $ssql="Insert Into combus_alma(id_combus,fecha_alma,hora_alma,tipomov,saldoant_alma,ingreso_alma,saldoact_alma) values('$id_combus','$fecha_alma','$hora_alma','$tipomov',$saldoant_alma,$ingreso_alma,$saldoact_alma)";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id; 	        
     }
	 function registrarAP($codigo_ap,$nom_ap,$um)
     {
      $ssql="Insert Into articulos_p(codigo_ap,nom_ap,um) values('$codigo_ap','$nom_ap','$um')";
      $this->BDConsulta($ssql);	          
     }
	 function registrarAlmaSal($id_combus,$fecha_alma,$hora_alma,$tipomov,$saldoant_alma,$consumo_alma,$saldoact_alma)
     {
      $ssql="Insert Into combus_alma(id_combus,fecha_alma,hora_alma,tipomov,saldoant_alma,consumo_alma,saldoact_alma) values('$id_combus','$fecha_alma','$hora_alma','$tipomov',$saldoant_alma,$consumo_alma,$saldoact_alma)";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id; 	        
     }
	 function registrarPedidoAlma($dociden_res,$fecha_pedido,$hora_pedido,$total_consumo,$obser)
     {
      $ssql="Insert Into combus_pedido(dociden_res,fecha_pedido,hora_pedido,total_consumo,obser) values('$dociden_res','$fecha_pedido','$hora_pedido',$total_consumo,'$obser')";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id; 	        
     }
	 function registrarDetPedidoAlma($id_pedido,$id_combus,$cantidad,$fecha,$hora)
     {
      $ssql="Insert Into combus_detpedido(id_pedido,id_combus,cantidad,fecha,hora) values($id_pedido,'$id_combus',$cantidad,'$fecha','$hora')";
      $this->BDConsulta($ssql);
	  $id=$this->UltimoId();
	  return $id; 	        
     }
	 function registrarCamporeq($num_req,$fecha_req)
     {
      echo $ssql="Insert Into requisicion(num_req,fecha_req,serie,tipo) values('$num_req','$fecha_req','002','R')";
      $this->BDConsulta($ssql);	  	        
     }
	 function UpdateAlma($id_alma,$fecha_alma,$hora_alma,$saldoant_alma,$ingreso_alma,$saldoact_alma)
     {
      $ssql="update combus_alma set fecha_alma='$fecha_alma',hora_alma='$hora_alma',saldoant_alma=$saldoant_alma,ingreso_alma=$ingreso_alma,saldoact_alma=$saldoact_alma where id_alma=$id_alma";
      $this->BDConsulta($ssql); 	        
     }	
	 function UpdateActSer($num_req,$tipod,$serie,$area,$fecha_confor_ser,$eva_serv,$contratista,$sugerencias,$comentarios)
     {
      $ssql="update requisicion set fecha_confor_ser='$fecha_confor_ser',eva_serv='$eva_serv',contratista='$contratista',sugerencias='$sugerencias',comentarios='$comentarios' where num_req='$num_req' and tipo='$tipod' and serie='$serie' and area='$area'";
      $this->BDConsulta($ssql); 	        
     } 
	 function UpdateCombus($id_combus,$stock)
     {
      $ssql="update combustibles set stock=$stock where id_combus='$id_combus'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateCampo($cod_rd,$num)
     {
      $ssql="update req_detalle1 set cod_rd=$cod_rd where num=$num ";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateUsuario($idusuario,$apellidos,$nombres,$login,$clave,$activo)
     {
      $ssql="update usuario set apellidos='$apellidos',nombres='$nombres',login='$login',clave='$clave',activo='$activo' where idusuario=$idusuario";
      $this->BDConsulta($ssql); 	        
     }
	 function DeleteAlma($id_alma)
     {
      $ssql="delete from combus_alma where id_alma=$id_alma";
      $this->BDConsulta($ssql); 	        
     }
	 function DeleteUsuario($idusuario,$activo)
     {
      $ssql="update usuario set activo='$activo' where idusuario=$idusuario";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateCargaTrans($mat_trans,$capcarg_trans,$tcant_trans)
     {
      $ssql="update transporte set capcarg_trans=$capcarg_trans,tcant_trans=$tcant_trans where mat_trans='$mat_trans'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateArchivopdf($num_req,$archivo,$serie)
     {
      $ssql="update requisicion set archivo='$archivo' where num_req='$num_req' and serie='$serie' and tipo='R'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateArchivoPedidopdf($num_req,$archivo,$serie,$tipo,$area)
     {
      $ssql="update requisicion set archivo='$archivo' where num_req='$num_req' and serie='$serie' and tipo='$tipo' and area='$area'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateReq_Det($cod_rd,$cantidad_a,$cantidad_r,$num_guia,$despachador,$fdespacho,$via,$nave,$destino,$odespacho,$estado)
     {
      $ssql="update req_detalle set cantidad_a=$cantidad_a,cantidad_r=$cantidad_r,num_guia='$num_guia',despachador='$despachador',fdespacho='$fdespacho',via='$via',nave='$nave',destino='$destino',odespacho='$odespacho',estado='$estado' where cod_rd='$cod_rd'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateReq_Deta($cod_rd,$cantidad_a,$cantidad_r,$estado)
     {
      $ssql="update req_detalle set cantidad_a=$cantidad_a,cantidad_r=$cantidad_r,estado='$estado' where cod_rd='$cod_rd'";
      $this->BDConsulta($ssql); 	        
     }
	 function registrarReq_Det_A($cod_rd,$cantidad_a,$cantidad_r,$num_guia,$despachador,$fdespacho,$via,$nave,$destino,$odespacho,$estado)
     {
      $ssql="Insert Into req_detalle_a(cod_rd,cantidad_a,cantidad_r,num_guia,despachador,fdespacho,via,nave,destino,odespacho,estado) values($cod_rd,$cantidad_a,$cantidad_r,'$num_guia','$despachador','$fdespacho','$via','$nave','$destino','$odespacho','$estado')";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateReq_DetRec($cod_rda,$freceptor,$receptor,$oreceptor,$estado)
     {
      $ssql="update req_detalle_a set freceptor='$freceptor',receptor='$receptor',oreceptor='$oreceptor',estado='$estado' where cod_rda='$cod_rda'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateCargaTransporte($mat_trans,$capcarg_trans,$tcant_trans)
     {
      $ssql="update transporte set capcarg_trans=$capcarg_trans,tcant_trans=$tcant_trans where mat_trans='$mat_trans'";
      $this->BDConsulta($ssql); 	        
     }
	 /*function UpdateCargaTrans($cod_ruta,$cantp_ruta,$pesot_ruta)
     {
      $ssql="update ruta set cantp_ruta=$cantp_ruta,pesot_ruta=$pesot_ruta where cod_ruta='$cod_ruta'";
      $this->BDConsulta($ssql); 	        
     }*/
	 function UpdateParametro($nombre,$valor)
     {
      $ssql="update parametro set valor=$valor+1 where nombre='$nombre'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateParametroAreas($nombre,$valor,$areas)
     {
      $ssql="update parametro set valor=$valor+1 where nombre='$nombre' and valor_e='$areas'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateNumSerCorre($nombre,$valor)
     {
      $ssql="update parametro set valor=$valor+1 where nombre='$nombre'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdatePer($cod_per,$appat_per,$apmat_per,$nom_per,$fnac_per,$cod_emp,$cod_pais,$fono_per,$cargo_per,$dociden_per,$peso_per,$foto,$dir_per,$estcivil_per,$afp_per,$numafp_per,$seguro_per,$numhijos_per,$fcontra_per,$doc_actual)
     {
      $ssql="update personal set cod_per='$cod_per',appat_per='$appat_per',apmat_per='$apmat_per',nom_per='$nom_per',fnac_per='$fnac_per',cod_emp='$cod_emp',cod_pais=$cod_pais,fono_per='$fono_per',cargo_per='$cargo_per',dociden_per='$dociden_per',peso_per=$peso_per,foto='$foto',dir_per='$dir_per',estcivil_per='$estcivil_per',afp_per='$afp_per',numafp_per='$numafp_per',seguro_per='$seguro_per',numhijos_per=$numhijos_per,fcontra_per='$fcontra_per' where dociden_per='$doc_actual'";
      $this->BDConsulta($ssql); 	        
     }	
	 function UpdateEmp($cod_emp,$razon_emp,$dir_emp,$ruc_emp,$contacto1_emp,$contacto2_emp,$cod_pais,$ciudad_emp)
     {
      $ssql="update empresas set razon_emp='$razon_emp',dir_emp='$dir_emp',ruc_emp='$ruc_emp',contacto1_emp='$contacto1_emp',contacto2_emp='$contacto2_emp',cod_pais=$cod_pais,ciudad_emp='$ciudad_emp' where cod_emp='$cod_emp'";
      $this->BDConsulta($ssql); 	        
     }	
	 function UpdateTrans($mat_trans,$tipo_trans,$capcarg_trans,$model_trans,$tcant_trans)
     {
      $ssql="update transporte set mat_trans='$mat_trans',tipo_trans='$tipo_trans',capcarg_trans=$capcarg_trans,model_trans='$model_trans',tcant_trans=$tcant_trans where mat_trans='$mat_trans'";
      $this->BDConsulta($ssql); 	        
     }	
	 function UpdateRuta($cod_ruta,$orig_ruta,$dest_ruta,$mat_trans,$fecha_ruta,$activo_ruta,$testimado_ruta,$horasal_ruta,$horallega_ruta)
     {
      $ssql="update ruta set orig_ruta=$orig_ruta,dest_ruta=$dest_ruta,mat_trans='$mat_trans',fecha_ruta='$fecha_ruta',activo_ruta='$activo_ruta',testimado_ruta='$testimado_ruta',horasal_ruta='$horasal_ruta',horallega_ruta='$horallega_ruta' where cod_ruta='$cod_ruta'";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateMPass($codigo_mpass,$permanencia)
     {
      $ssql="update manpass set permanencia='$permanencia' where codigo_mpass=$codigo_mpass";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateMenu($idmenu,$nommenu,$idmenugrupo,$archivo,$orden,$modulo)
     {
      $ssql="update menu set nommenu='$nommenu',idmenugrupo=$idmenugrupo,archivo='$archivo',orden=$orden,modulo='$modulo' where idmenu=$idmenu";
      $this->BDConsulta($ssql); 	        
     }
	 function VolcarDocAFoto($dociden_per)
     {
      $ssql="update personal set foto='$dociden_per.jpg' where dociden_per='$dociden_per'";
      $this->BDConsulta($ssql); 	        
     }		
	 function DeleteRuta($cod_ruta,$activo_ruta)
     {
      $ssql="update ruta set activo_ruta='$activo_ruta' where cod_ruta='$cod_ruta'";
      $this->BDConsulta($ssql); 	        
     }
	 function DeleteTrans($mat_trans,$activo_trans)
     {
      $ssql="update transporte set activo_trans='$activo_trans' where mat_trans='$mat_trans'";
      $this->BDConsulta($ssql); 	        
     }
	 function DeleteEmp($cod_emp,$activo_emp)
     {
      $ssql="update empresas set activo_emp='$activo_emp' where cod_emp='$cod_emp'";
      $this->BDConsulta($ssql); 	        
     }
	 function DeletePer($dociden_per,$activo_per)
     {
      $ssql="update personal set activo_per='$activo_per' where dociden_per='$dociden_per'";
      $this->BDConsulta($ssql); 	        
     }
	 function DeleteMenu($idmenu)
     {
      $ssql="delete from menu where idmenu=$idmenu";
      $this->BDConsulta($ssql); 	        
     }
	 function DeletePermiso($idpermiso)
     {
      $ssql="delete from permiso where idpermiso=$idpermiso";
      $this->BDConsulta($ssql); 	        
     }
	 function UpdateManW($cod_man,$cargat_man,$triput_man)
     {
      echo $ssql="update manifiesto set cargat_man=$cargat_man,triput_man=$triput_man where cod_man='$cod_man'";
      $this->BDConsulta($ssql); 	        
     }
	 //**********************************************************************************************************************************
	                          
	 function registrarAlojamiento($fechaingre,$fechasal,$horaingre,$procedencia,$destino,$idusuario,$idhabit,$idhuesped,$observacion,$estadoaloja)
     {
       $ssql="Insert Into alojamiento(fechaingre,fechasal,horaingre,procedencia,destino,idusuario,idhabit,idhuesped,observacion,estadoaloja) values('$fechaingre','$fechasal','$horaingre','$procedencia','$destino',$idusuario,$idhabit,$idhuesped,'$observacion','$estadoaloja')";
       $this->BDConsulta($ssql); 	   
	   $id=$this->UltimoId();
	   return $id; 
     }
	 //*********************************************************************************************************************************

   function TiposEmpresa($vartipoEmp,$val_doc,$disabled=0){
		 $sql="Select * from empresas ORDER BY razon_emp  ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoEmp\" size=\"1\" $disabled class='lblForm'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[0] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[0]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	     function NRequisicion($vartipoReq,$val_doc,$disabled=0){
		 $sql="Select * from req_detalle GROUP BY num_req ORDER BY num_req  ASC ";
		 $result = $this->BDConsulta($sql);
		 $disabled = ($disabled) ? "disabled" : "";
		 $num = $this->totalrows($result);
		 echo "<select name=\"$vartipoReq\" size=\"1\" $disabled class='lblForm'>";
	     $i=1;
		 while($fila=$this->NextRow($result)){
			        $selected = "";
			   if ($fila[1] == $val_doc) 
					 $selected = "selected";
					
					echo "<option $selected value=\"$fila[1]\">$fila[1]</option>";
					$i+=1;
			   }
			   echo "</select>";
				
	  }
	}
?>